Subject: Re: MPC5200B XLB Configuration Issues, FEC RFIFO Events, ATA Crashes

From: Albrecht Dreß <[email-masked]>
Date: Thu, 04 Feb 2010 20:35:12 +0100

Hi Roman:

Am 03.02.10 07:16 schrieb(en) Roman Fietze:
> Sorry for the delay ... your mail got stuck in a Notes "spam filter".

Never mind.  I didn't know yet that I'm *such* a nasty guy... ;-)

> Are you using MWDMA2 with the compact flash cards? What is the load on the different (DMA) channels? ATA reads or writes?

Actually, I forgot that I have to explicitly enable libata dma on the 5200b, due to the known silicon bugs...  I will repeat my tests with the proper configuration, stay tuned.

>> ... a signal processor attached to the localbus, using bestcomm and the fifo for the bulk transfer
> 
> Are you using an own driver, or are you using Grant's SCLPC+SDMA driver? BD task?

Basically Grant's driver, but with a slightly modified variant of the gen_bd task.  The signal processor is a LE, and I managed to insert the LE/BE conversion into the bestcomm task (see also <http://patchwork.ozlabs.org/patch/35038/>).  Unfortunately, there is no good documentation of the engine; I would like to also shift crc calculation into bestcomm, which seems to be possible in principle, but I never got it running.

> The best thing is to run very ugly tests with very high load for at least 24h.

Thanks again for this tip!  I hope I manage to run a test over the weekend.  Throughput onto the cf cards is not critical for me (so I could live with pio there), but I'm a little afraid I might also see similar effects with fec and the signal processor (in particular, the latter *is* critical).

Thanks, Albrecht.